package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * 数据统计-pcs曲线-数据list对象
 */
public class PcsStatisListVo {
    /**
     * 数据日期
     */
    private String statisDate;

    /**
     * 有功
     */
    private BigDecimal activePower;

    /**
     * 无功
     */
    private BigDecimal reactivePower;

    /**
     * u电流
     */
    private BigDecimal uCurrent;

    /**
     * v电流
     */
    private BigDecimal vCurrent;

    /**
     * w电流
     */
    private BigDecimal wCurrent;

    /** pcs设备id */
    private String deviceId;

    public String getStatisDate() {
        return statisDate;
    }

    public void setStatisDate(String statisDate) {
        this.statisDate = statisDate;
    }

    public BigDecimal getActivePower() {
        return activePower;
    }

    public void setActivePower(BigDecimal activePower) {
        this.activePower = activePower;
    }

    public BigDecimal getReactivePower() {
        return reactivePower;
    }

    public void setReactivePower(BigDecimal reactivePower) {
        this.reactivePower = reactivePower;
    }

    public BigDecimal getuCurrent() {
        return uCurrent;
    }

    public void setuCurrent(BigDecimal uCurrent) {
        this.uCurrent = uCurrent;
    }

    public BigDecimal getvCurrent() {
        return vCurrent;
    }

    public void setvCurrent(BigDecimal vCurrent) {
        this.vCurrent = vCurrent;
    }

    public BigDecimal getwCurrent() {
        return wCurrent;
    }

    public void setwCurrent(BigDecimal wCurrent) {
        this.wCurrent = wCurrent;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
}
